#include "blitz/protocol/packets/ServerTpsPacket.h"

namespace blitz {
namespace protocol {

DataBuffer ServerTpsPacket::Serialize(bool packetID) const {
	DataBuffer data;

	WritePacketID(data, packetID);
	data << m_TPS << m_MSPT << m_PacketSendTime;
	return data;
}

void ServerTpsPacket::Deserialize(DataBuffer& data) {
	data >> m_TPS >> m_MSPT >> m_PacketSendTime;
}

}  // namespace protocol
}  // namespace blitz
